
QGIS Application - Bug report #6176

When adding postgis layer the build query feature doesn't work

2012-08-12 04:11 PM - Nikos Ves

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15493

Description

When adding a postgis layer the build query test always returns 0 (rows). The same where clause from inside postgis returns valid

numbers of rows

History

#1 - 2012-08-12 04:20 PM - Giovanni Manghi

- Status changed from Open to Feedback

what version of QGIS? what platform? what PostGIS version?

#2 - 2012-08-12 05:10 PM - Nikos Ves

checked against latested git build as well with qgis 1.8.

PostgreSQL 9.1.4 with (POSTGIS="2.1.0SVN" GEOS="3.3.4-CAPI-1.7.3" PROJ="Rel. 4.8.0, 6 March 2012" GDAL="GDAL 1.7.3")

Ubuntu 12.04

#3 - 2012-08-13 03:46 AM - Giovanni Manghi

Nikos Ves wrote:

checked against latested git build as well with qgis 1.8.

PostgreSQL 9.1.4 with (POSTGIS="2.1.0SVN" GEOS="3.3.4-CAPI-1.7.3" PROJ="Rel. 4.8.0, 6 March 2012" GDAL="GDAL 1.7.3")

Ubuntu 12.04

it used to work in qgis 1.7.4?

#4 - 2012-08-13 10:45 AM - Giovanni Manghi

Nikos Ves wrote:
checked against latested git build as well with qgis 1.8.

PostgreSQL 9.1.4 with (POSTGIS="2.1.0SVN" GEOS="3.3.4-CAPI-1.7.3" PROJ="Rel. 4.8.0, 6 March 2012" GDAL="GDAL 1.7.3")

Ubuntu 12.04

I just tested and it works fine with both qgis 1.8 and master.

#5 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#6 - 2012-09-25 02:08 PM - Nikos Ves

I just realised that the layer that the problems is  "view" of a proper table

eg

CREATE OR REPLACE VIEW test_view as select * from geodb;

add the view table to layer and the bug(?) should surface.

In another note, a view should be considered as a proper table from withing qgis or not?

#7 - 2012-12-31 08:29 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

CREATE OR REPLACE VIEW test_view as select * from geodb;

add the view table to layer and the bug(?) should surface.

it works fine here

In another note, a view should be considered as a proper table from withing qgis or not?

they are supported, but you will need a primary key anyway.

please reopen if necessary or attach sample data/steps to replicate the issue.
